﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    image bg light = "bg1.png"
    image bg dark = "bg2.png"
    image bg black = "bg3.png"
    image bg balcony = "balcony1.png"
    image bg bedroom = "bedroom2.png"
    image bg facade = "facade2.png"
    image bg feathermask = "feathermask1.png"
    image bg kitchen = "kitchen1.png"
    image bg parlor = "parlor1.png"
    image bg backyard = "backyard2.png"
    image bg school = "school1.png"
    image bg door = "dooropen1.png"


    ## Declare characters used by this game. ##
    #$ narrator = Character(None, window_left_padding=160, color="#0033cc")
    $ u = Character('???', color="#FF6B6B")
    $ u2 = Character('???', color = "#4ECDC4")
    $ m = Character('Me', color="#FFFFFF")
    $ c = Character('Chris', color="#4ECDC4")
    $ t = Character('Tom', color="#4ECDC4")
    $ mm = Character('Mouse Mask', color="#FF6B6B") # Mariana
    $ em = Character('Eagle Mask', color="#FF6B6B") # Rosa
    $ sm = Character('Superhero Mask', color="#FF6B6B") # Libby 
    $ jm = Character('Jeweled Mask', color = "#FF6B6B") # Julia
    $ lm = Character('Lion Mask', color = "#4ECDC4") # Chris
    $ cm = Character('Cat Mask', color = "#FF6B6B") # Helen
    $ tm = Character('Tragedy Mask', color = "#4ECDC4") # Tom
    $ fm = Character('Feathered Mask', color = "#FF6B6B") # Virginia

    ## Disable rollback ##   
    $ config.rollback_enabled = False
    
    ## State variables ##
    $ freak = False
    $ met_tom = False
    $ met_tom_at_party = False
    $ alienate_tom = False
    $ met_julia = False
    $ alienate_julia = False
    $ met_rosa = False
    $ met_rosa_kitchen = False
    $ met_rosa_backyard = False
    $ rosa_propositioned = False
    $ talked_rosa = False
    $ followed_rosa = False
    $ met_libby = False
    $ met_virginia_party = False
    $ bedrooms_allowed = True
    $ set_up_tom_and_libby = False
    $ sabotage_tom_and_libby = False
    $ followed_helen = False
    $ visited_parlor = False
    $ visited_kitchen = False
    $ visited_backyard = False
    $ visited_balcony = False
    $ thought_helen = False
    $ recognized = False
    $ asshole = 0
    
    $ final_girl = "Rosa"
    
    $ room_parlor =  ("Visit parlor", "parlor")
    $ room_kitchen = ("Visit kitchen", "kitchen")
    $ room_backyard = ("Visit backyard", "backyard")
    $ room_balcony = ("Visit balcony", "balcony")
    $ next_room = "parlor"
    $ rooms_visited = 0
    

    ## Fades ##
    # Fades to black, then to the new scene.
    $ fade = Fade(0.5, 0, 0.5)

    # Dissolves between old and new scenes.
    $ dissolve = Dissolve(0.5)

init python:
    def get_rooms():
        list = []
        if(visited_parlor == False):
            list.append(room_parlor)
        if(visited_kitchen == False):
            list.append(room_kitchen)
        if(visited_backyard == False):
            list.append(room_backyard)
        if(visited_balcony == False):
            list.append(room_balcony)
            
        return list

# The game starts here.
label start:
    scene bg school
    "3:45 marks the end of another day of class."
    "Another interminable procession of names, dates, and facts emitted from the mouths of faceless teachers to the unwilling ears of faceless students."
    "Individual expression shudders its last breath as I watch a sea of my peers, all clad in the same uniform, emerge from the main gates."
    "One breaks from the pack and situates himself before my eyes."
    u2 "What's happening, player?"
    "\"Player...\" Only Chris calls me \"Player.\""
    "Long story."
    c "So tell me, wasn't that substitute math teacher a total babe?"
    "Substitute?"
    menu:
        "I hadn't noticed.":
            jump c1_1a
        "I'd hit it.":
            jump c1_1b
            
label c1_1a:
    c "You're out of it, player. She was smoking! Nothing like that old hag Miss Rogers."
    c "How are you ever going to live up to your name if you can't appreciate hotness when it's right in front of you?"
    c "You better not embarass yourself like that tonight."
    jump c1_2
    
label c1_1b:
    $ asshole = asshole + 1
    c "Damn straight, player!"
    c "And the girls tonight will be even hotter."
    jump c1_2
    
label c1_2:
    m "Tonight?"
    c "Are you telling me you forgot about Mariana's party?"
    c "Masks, booze, and cocktail dresses! It's a masquerade, player!"
    menu:
        "Sounds like fun.":
            jump c1_3a
        "I don't own any masks...":
            jump c1_3b
          
label c1_3a:
    c "Fun? It'll be off the hook! Seems like half our class is going."
    c "The cool half, at least." 
    "Sounds like a large party. I wonder if {i}she{/i} will be there." 
    jump c1_4
    
label c1_3b:
    c "Lame excuse, player. Mariana's providing everything but the cocktail dresses."
    c "In fact, that was one of the lamest excuses you've given me in months."
    jump c1_4
    
label c1_4:
    c "You're thinking about Helen again, aren't you?"
    m "How..."
    c "It's written all over your face."
    "Helen. We dated. Ended badly. Long story."
    c "Don't worry, player. It's gonna be a huge party. You probably won't even see her."
    c "And even if you do, you might not even recognize each other. We'll all be in masks! It's perfect!"
    menu:
        "Maybe you're right...":
            jump c1_5a
        "You're putting a lot of faith in these masks.":
            jump c1_5b
            
label c1_5a:
    c "That's the spirit!"
    jump c1_6
    
label c1_5b:
    c "Everyone relies on facial features to recognize others."
    c "If my face were covered, you'd be hard pressed to even recognize me!" 
    "You have no idea."
    jump c1_6
    
label c1_6:
    c "See you tonight, player."
    c "Don't forget to wear your best suit."
    "Chris fades back into the crowd leaving me alone with my thoughts."
    "Rubbing my temples, I lean against the nearest brick wall."
    "A masquerade? Hollow children hiding behind masks, hoping to escape their own empty lives."
    "No different from any other party then. Perhaps I need this."
    jump c2_1

label c2_1:
    "Feeling a sudden tap on my shoulder, I open my eyes to see a uniform-clad girl."
    u "..."
    "Silence. I can't work with silence."
    u "..."
    "What could she be thinking?"
    u "..."
    menu:
        "Do I know you?":
            jump c2_2a
        "What's up?":
            jump c2_2b
        "Hello, Helen.":
            $ thought_helen = True
            jump c2_2c
        "Hello, Mariana.":
            jump c2_2d
            
label c2_2a:
    u "\"Do I know...\""
    "She scrunches her face for a brief second."
    u "You know..."
    u "You're a real asshole."
    jump c2_3
    
label c2_2b:
    u "\"What's up?\""
    u "That's all you have to say to me?"
    jump c2_3
    
label c2_2c:
    u "Helen?"
    jump c2_3
    
label c2_2d:
    u "Mariana?"
    jump c2_3
    
label c2_3:
    u "..."
    u "Forget it. You're not worth my time."
    "She walks away with a snort."
    menu:
        "\[Follow her\]":
            jump c3
        "\[Forget it\]":
            jump c4
            
label c3:
    $ met_julia = True
    "I try following her into the crowd. Blouses, limbs, and skirts blend together as I search the mass of people for a familiar figure."
    "One pair of legs is heading for the parking lot in a hurry. I dash after them and park myself in front of their owner."
    menu:
        "I'm sorry.":
            jump c3_1a
        "What's your problem?":
            jump c3_1b
            
label c3_1a:
    u "Nah, it's fine. I got the notes from Libby last night."
    "It's not her." 
    "Damn it all, it's not her."
    u "So, are you going to Mariana's party tonight?"
    m "Maybe."
    u "Well, maybe I'll see you there."
    "The girl heads to her car, toying with her hair."
    jump c5_1a
    
label c3_1b:
    $ asshole += 1
    $ alienate_julia = True
    u "Ugh! What's your problem?"
    u "Get away from me, freak! I barely know you."
    "The girl pushes me aside and heads to her car."
    "It's not her."
    "Damn it all, it's not her."
    jump c5_1a
    
label c4:
    "{i}She{/i}'s not worth my time. There are plenty of other girls around that don't hold an inexplicable grudge against me."
    "And they will all be at the party tonight."
    "I check my watch. I had better hustle back home if I am to eat dinner, shower, and change into my suit before the party starts."
    "As I start to walk away from the gradually thinning crowd, I see a hand waving my direction and calling my name."
    menu:
        "\[Wave back\]":
            jump c4_1a
        "\[Walk away\]":
            jump c4_1b
         
    
label c4_1a:
    $met_tom = True
    "The hand finds its way towards me, giving my shoulder a friendly-but-vigorous jab."
    u2 "How the hell are you, buddy?"
    "Expresses friendship through acts of minor violence. Calls everyone \"buddy\...\"" 
    "Must be Tom."
    t "Say, do you know if Libby's going to the masquerade?"
    "On to his point before I even get a chance to respond to his inane pleasantries. Admirable, in a way."
    menu:
        "Libby?":
            jump c4_2
        "I have no idea.":
            jump c4_3
    
label c4_2:
    t "You know Libby."
    t "Usually sits in the front row in literature."
    t "Nice legs."
    "That description was utterly unhelpful."
    jump c4_3
    
label c4_3:
    t "Well, would you let me know if you see her?"
    menu:
        "Sure thing.":
            jump c4_4a
        "I'll try.":
            jump c4_4a
        "What do you care?":
            jump c4_4b
            
label c4_4a:
    t "Awesome! I owe you one. Later, buddy!"
    "He clubs me on the shoulder again before lumbering off."
    jump c5_1b
    
label c4_4b:
    $alienate_tom = True
    t "Well, I kinda thought she might be into me. She just seems so..."
    "He pauses for a moment. I think he's actually hurt."
    t "Never mind. It's okay."
    t "I'll be better off catching up on homework anyway."
    "He lopes off without another word."
    jump c5_1b
            
label c4_1b:
    $ asshole += 1
    "There will be opportunity enough for conversations later."
    jump c5_1b
    
label c5_1a:
    "She leaves me alone in the rapidly dispersing crowd."
    "I check my watch. I had better hustle back home if I am to eat dinner, shower, and change into my suit before the party starts."
    jump c5_1b
    
label c5_1b:
    "Time to go."
    # Fadout/transition here
    jump c6
 
label c6:
    scene bg facade 
    with fade
    "I make my way to Mariana's house."
    "Through her windows I spy brief hints of movement, though I cannot hear the traditional pounding bass that defines her parties."
    "I knock on her door. A girl in a yellow mouse mask and a black dress answers."
    if  asshole > 0:
        jump c6_1a
    else:
        jump c6_1b
        
label c6_1a:
    mm "You're late..."
    "She quickly ushers me inside"
    jump c6_2
         
label c6_1b:
    mm "Hey! I'm glad you finally made it."
    "She grabs my arm and pulls me inside."
    jump c6_2

label c6_2:
    scene bg black
    with fade
    mm "Here, take this!"
    "She hands me a bright pink dog mask."
    menu:
        "Thanks.":
            jump c6_3a
        "Don't you have any other masks?":
            jump c6_3b
    
label c6_3a:
    if asshole > 0:
        mm "Don't mention it."
        jump c6_4
    else:
        mm "Don't mention it!"
        jump c6_4
    
label c6_3b:
    if asshole > 0:
        mm "What, don't you think it suits you?"
        m "..."
        mm "I'm just teasing you."
        jump c6_4
    else:
        mm "Sorry... It's the last one left."
        jump c6_4
        
label c6_4:
    mm "So, yeah. Thanks for coming."
    mm "There's music and dancing in the parlor. Assorted drinks in the kitchen."
    mm "A few guests are chatting in the backyard and the balcony."
    if asshole == 0:
        mm "If you need a private place to talk or whatever, you're welcome to use the upstairs bedrooms. Make sure to knock first."
    else:
        $ bedrooms_allowed = False
        mm "Make sure to keep out of the upstairs bedrooms."

    mm "My parents aren't home until one, and my neighbors are pretty cool, so you don't have to worry about noise or anything."
    mm "So, umm... Yeah."
    mm "Go! Mingle! Have fun!"
    "She locks the front door before heading off, leaving me alone in the foyer."
    "I weigh the mask in my hands for a few seconds before putting it on."
    "Tonight is going to be different."
    "Tonight is going to be fun."
    "Tonight, everyone is on my terms."
    jump c6_5
    
label c6_5:
    "Where to go first?"
    jump room_choose
    
label room_choose:
    scene bg black
    with fade
    $ rooms = get_rooms()
    if rooms != []:
        $ next_room = renpy.display_menu(rooms)
        jump room_transition
    else:
        jump no_more_rooms
            
label room_transition:
    if met_virginia_party == False:
        if rooms_visited == 3:
            jump v1
        $ roll = renpy.random.randint(1, rooms_visited+2)
        if roll >= 2:
            jump v1
    
    if next_room == "parlor":
        $ visited_parlor = True
        $ rooms_visited += 1
        jump p1
    elif next_room == "kitchen":
        $ visited_kitchen = True
        $ rooms_visited += 1
        jump k1
    elif next_room == "backyard":
        $ visited_backyard = True
        $ rooms_visited += 1
        jump b1
    elif next_room == "balcony":
        $ visited_balcony = True
        $ rooms_visited += 1
        jump n1
    else:
        jump no_more_rooms
        
## VIRGINIA INTERLUDE ##
label v1:
    scene bg feathermask
    with fade
    $ met_virginia_party = True
    "As I make my way to the %(next_room)s, a girl steps in front of me. Her arms are akimbo and a feathery half-mask rests on her face."
    fm "..."
    "Another silent girl..."
    menu:
        "Do I know you?":
            jump v1_1
        "Nice party":
            jump v1_1
        "Hello, Helen.":
            jump v1_1
        "Stop following me.":
            jump v1_1
            
label v1_1:
    fm "..."
    "She shakes her head."
    fm "I'm watching you."
    fm "I know your game."
    fm "And let me tell you..."
    fm "You will not hurt anyone else tonight."
    "She slinks off."
    "Undeterred, I head for the %(next_room)s."
    jump room_transition
    
        
# # PARLOR # #
label p1:
    scene bg parlor
    with fade
    if rooms_visited == 1:
       "First things first: girls."
       "I make my way to the parlor, squeezing my body through dense clumps of hair, silk, flesh, and plastic."
    else:
       "I make my way to the parlor."
       
    "The room is packed with couples slowly dancing to a mellow piano piece."
    "Much classier than I expected."
    "I find a spot with breathing room and survey the area."
    if followed_rosa == True:
        "The eagle-masked girl is nowhere to be seen."
    "Looks like damn near everyone is paired up..."
    "Except for a girl on the other side of the room."
    "She's sitting alone, wearing a mask in the shape of a blue cat face on her slumped head."
   
    if alienate_tom:
       jump p1_1
    else:
       jump p1_2
       
label p1_1:
    jump p3_1c
       
label p1_2:
    if set_up_tom_and_libby:
        jump p3_1a
    elif sabotage_tom_and_libby:
        jump p3_1b
    
    "As I begin to approach her, a masculine hand flies up calling my name from the crowd of anonymous dancers."
    if recognized == False:
       $ recognized = True
    else:
        "Okay, seriously, how do people keep recognizing me with this mask on?"
        
    menu:
        "[Wave back]":
            jump p2
        "[Forget it]":
            jump p1_3
            
label p1_3:
    $ followed_helen = True
    "No distractions."
    "I stride purposefully towards my target."
    "The hand's owner calls my name again, a little louder this time."
    "I am still pushing my way through the center of the dance floor when she looks up."
    cm "..."
    "I stop in my tracks."
    cm "..."
    "She begins to head for the door."
    menu:
        "[Follow her]":
            jump p1_4a
        "[Forget it]":
            jump p1_4b
                
label p1_4a:
    "I pick up the pace, hoping to catch her before she leaves."
    jump p1_4c
    
label p1_4b:
    "Whoever she is, she probably isn't worth the hassle."
    "I start scanning for available girls again."
    jump p1_4c
    
label p1_4c:
    "Suddenly, I feel a strong grip on my shoulder."
    "I am forcefully spun around to face a guy wearing a classical tragedian's mask."
    jump p2_1
    
label p2:
    "A guy in a classical tragedian's mask lumbers towards me and gives me a quick jab in my shoulder."
    jump p2_1
    
label p2_1:
    tm "Hey there, buddy!"
    if met_tom:
        "Must be Tom again."
    else:
        "Expresses friendship through acts of minor violence. Calls everyone \"buddy\...\"" 
        "Must be Tom."
        
    $ met_tom_at_party = True
    t "Nice party, huh?"
    "I look over my shoulder. The girl is already gone."    
    t "I don't like these masks, though. They're really confusing!"
    t "I was hitting on this cute girl in a birdie mask for ten whole minutes before I realized she wasn't Libby."
    m "You seemed to recognize me just fine."
    t "You're the third {i}you{/i} I've seen tonight."
    "He hangs his head low for a few seconds."
    t "Say, you wouldn't happen to know if Libby's here?"
    
    if met_tom:
        jump p2_2a
    else:
        jump p2_2b
    
label p2_2a:
    menu:
        "She's probably looking for you.":
            jump p2_3a
        "I haven't seen her.":
            jump p2_3b
            
label p2_2b:
    menu:
        "Libby?":
            jump p2_3c
        "She's probably looking for you.":
            jump p2_3a
        "I haven't seen her.":
            jump p2_3b    
    
label p2_3a:
    t "I hope you're right, buddy."
    "He gives me a weak jab in my right arm."
    t "I better stay right here just in case she comes looking."
    "Tom lopes off to another corner of the parlor."
    jump p4
    
label p2_3b:
    t "..."
    t "Well, it's a big party, buddy. I'm sure she'll show up eventually."
    t "I better stay right here just in case she comes looking for me."
    "Tom lopes off to another corner of the parlor."
    jump p4
    
label p2_3c:
    t "You know Libby."
    t "Usually sits in the front row in literature."
    t "Nice legs."
    "That description was utterly unhelpful."
    t "So have you seen her anywhere?"
    jump p2_2a
    
label p3_1a:
    "I push my way through the center of the dance floor towards her."
    "A guy in a tragedian's mask is spinning a girl in a superhero mask around in a circle, oblivious to the rhythm."
    "I give their dangerous dancing a wide berth as I sidle up next to the girl in the cat mask."
    jump p3_2
    
label p3_1b:
    "I push my way through the center of the dance floor towards her."
    "A guy in a tragedian's mask is arguing loudly with a girl in a superhero mask, oblivious to the crowd around them."
    "I give their fight a wide berth as I sidle up next to the girl in the cat mask."
    jump p3_2
    
label p3_1c:
    "Pushing my way through the center of the dance floor, I sidle up next to the girl in the cat mask."
    jump p3_2
    
label p3_2:
    "She turns to face me, her head slightly askew."
    cm "..."
    menu:
        "Would you like to dance?":
            jump p3_3
        "I like your mask.":
            jump p3_4
        "What's up?":
            jump p3_5
            
label p3_3:
    if sabotage_tom_and_libby:
        "The girl tilts her head."
        cm "Are you joking?"
        jump p3_6

    cm "Oh please. You don't mean that."
    m "I'm sorry?"
    cm "You don't really want to dance."
    cm "You want to screw me. Dancing is just a means to an end."
    m "I want to dance."
    m "Just dance."
    m "Really."
    cm "..."
    cm "Your words tell me one thing."
    cm "But everything else..."
    cm "Your inflections. Your posture. Your nervous tics. What little I can see of your eyes."
    cm "They all tell me a different story, one at odds with your playful little puppy dog mask and harmless-sounding words."
    cm "You aren't the type to be happy {i}just dancing{/i}."
    cm "So let me tell you straight. I'm not looking for that right now."
    cm "I came to this party to listen to some music and chat with a few friends."
    cm "I didn't come here to jerk off some scumbag in Mariana's bathroom."
    "I move a step closer."
    m "That's not..."
    "She shakes her head slightly while stepping to the side."
    cm "Look, I don't know who you are. Or who you {i}think{/i} you are."
    cm "I don't want to talk. I don't want to get to know you. Stay the hell away from me."
    "She heads off."
    "I slump against the wall where she previously stood."
    jump p4
    
    
label p3_4:
    cm "Really? My {i}mask{/i}?"
    cm "I don't think I've seen your eyes leave my {i}breasts{/i} for one second."
    m "What can I say? I like what I see."
    "The girl scoffs."
    m "So do you want to dance?"
    jump p3_3
    
label p3_5:
    "She looks down."
    cm "It appears that {i}you{/i} are."
    "She looks back up."
    cm "Really, puppy, you've been standing next to me for all of fifteen seconds. Get your act together."
    "I shift my legs slightly."
    m "So, do you want to dance?"
    jump p3_3
    
label p3_6:
        "She points towards the dance floor, where the couple continues their argument."
        "Dancing has all but ceased among the members of an uneasy crowd."
        sm "How dare you! You told me I wash shpecial!"
        tm "You are special, baby. I just got confused is all."
        sm "You alwaysh have an excushe!"
        cm "..."
        cm "I can't watch this anymore."
        menu:
            "Are they your friends?":
                jump p3_6a
            "Would you like to go talk somewhere private, then?":
                jump p3_6b
                
label p3_6a:
    cm "No."
    cm "Well, I mean I {i}know{/i} them. Who here doesn't?"
    cm "But I don't know them well enough to butt into their affairs, you know?"
    "She lets out a sigh."
    cm "Can't Mariana throw a party without the cops showing up or people fighting or someone's heart being broken?"
    "The girl shakes her head slightly."
    cm "..."
    jump p3_7
    
label p3_6b:
    cm "Are..."
    cm "Are you asking me to make out with you?"
    cm "Now? In front of this tangible reminder of the futility of love?"
    cm "..."
    m "..."
    "The girl suddenly bursts into a laughing fit."
    cm "Hahahahahaha!"
    cm "Ohohohoho!"
    cm "Hehehe..."
    "She looks up at my masked face."
    cm "Oh, jeez."
    cm "I'm sorry."
    cm "It's just..."
    cm "You reminded me of someone... equally inartful as a pickup artist."
    m "..."
    jump p3_7
    
label p3_7:
    cm "Say..."
    cm "Don't I know you from somewhere?"
    menu:
        "I don't believe so.":
            jump p3_8a
        "It's a big school.":
            jump p3_8b
        "Did you see the choir perform last week?":
            jump p3_8c
            
label p3_8a:
    cm "Hrm... I guess not."
    jump p3_9
    
label p3_8b:
    cm "Hrm... I guess so."
    jump p3_9
            
label p3_8c:
    cm "Well, I {i}know{/i} you're not the baritone."
    m "I was the guy asleep in the back row."
    cm "Ah."
    "She shakes her head."
    cm "Funny guy."
    jump p3_9
    
label p3_9:
    cm "What the..."
    "She suddenly pushes past me."
    "I turn around to see the crowd milling. It's too dense to make anything out."
    "I push forward myself and see a girl on the ground. A purple mask lies next to her unconscious body."
    "Turning to the side, I see the cat-masked girl wobbling uncertainly back and forth."
    "Her hands are shaking."
    "She turns toward me, lifting her mask."
    "Her face is blank."
    u "..."
    "The girl embraces me, suddenly, tightly."
    $ final_girl = "Helen"
    jump endgame
    
label p4:
    "I scan my surroundings again. Still no available-looking girls on the dancefloor."
    if rooms_visited < 3:
        "Perhaps I'll have more luck elsewhere."
    else:
        "There's nothing for me here."
        
    jump room_choose
            
# # KITCHEN # #
label k1:
    
   if rooms_visited == 1:
       "First things first: alcohol."
       "I make my way to the kitchen, squeezing my body through dense clumps of hair, silk, flesh, and plastic."
   else:
       "I make my way to the kitchen."
   
   scene bg kitchen
   with fade
   "The room is completely devoid of people. As I take a moment to catch my breath and gather my thoughts, I feel a pinch from behind."
   
   "I turn to see a girl in an eagle mask."
   if met_rosa:    
       jump k1_1a
   else:
       jump k1_1b
   
label k1_1a:
    em "Hey there, hot stuff."
    menu:
        "Do I know you?":
            jump k1_2d
        "Enjoying the party?":
            jump k1_2b
        "Need a drink?":
            jump k1_2c
label k1_1b:
   
    em "*giggle*"
    menu:
        "Do I know you?":
            jump k1_2a
        "Enjoying the party?":
            jump k1_2b
        "Need a drink?":
            jump k1_2c
            
label k1_2a:
    em "Do you want to?"
    jump k1_3

label k1_2d:
    em "We've met. Or are you asking if you want to know me... better?"
    jump k1_3
    
label k1_2b:
    em "Absolutely!"
    em "Don't you just love these masks? So much potential for... mischief."
    jump k1_3
    
label k1_2c:
    em "You know it, babe."
    jump k1_3
    
label k1_3:
    $met_rosa = True
    $met_rosa_kitchen = True
    "She tilts her mask back a few inches, grabs an open bottle from the fridge, and licks its neck slowly."
    if rosa_propositioned:
        em "My offer still stands, by the way."
    "As she turns to walk away, she beckons me to follow."
    menu:
        "[Follow her]":
            jump follow_rosa
        "[Forget it]":
            jump k2
            
label k2:
    if rooms_visited < 3:
        "The night is young. Perhaps it's best to survey the field a little longer."
    elif asshole >= 2:
        "Too easy. Maybe after I exhaust my other options."
    else:
        "She reeks of desperation and booze. Not the right time."
        
    
    "I walk up to the fridge and pick up a bottle."
    "A girl enters and begins struggling to operate the bottle opener by the counter. She is wearing a purple superhero-style mask."
    if met_libby:
        jump k2_1
    else:
        jump k2_2
        
label k2_1:
    sm "Oh, hey! Mind helping me with thish?"
    menu:
        "Sure.":
            jump k2_3a
        "Not my problem.":
            jump k2_3b
        "I think you've had enough.":
            jump k2_3c
            
label k2_2:
    $ met_libby = True
    menu:
        "[Help her]":
            jump k2_3a
        "[Just watch]":
            jump k2_4a
    
label k2_3a:
    "You effortlessly open her bottle. She grabs it back eagerly."
    sm "Thanksh! You're a real gentleman."
    jump k2_4

label k2_3b:
    sm "Pshh. You're a meanie!"
    jump k2_4a
    
label k2_3c:
    sm "I can shtill think. I clearly haven't had enough yet."
    jump k2_4a
    
label k2_4a:
    "After some intense fiddling, she pops the cap off her drink, spilling half of it on the tile floor and her dress."
    sm "Eashy ash pie!"
    jump k2_4
    
label k2_4:
    "She takes a big gulp."
    sm "Ahhh."
    sm "Shaay... Have you sheen Tom anywhere? He shaid he wash hoping I'd come."
    if met_tom_at_party:
        jump k2_5a
    elif alienate_tom == False:
        jump k2_5b
    else:
        jump k2_5c
        
label k2_5a:
    menu:
        "He's waiting for you in the parlor.":
            jump k2_6a
        "I saw him chatting up a bunch of girls in the parlor.":
            jump k2_6b
        "I don't think he came.":
            jump k2_6c
            
label k2_5b:
    menu:
        "He must be around somewhere.":
            jump k2_6d
        "I think I just saw him chatting up a bunch of girls.":
            jump k2_6b
        "I don't think he came.":
            jump k2_6c
            
label k2_5c:
    menu:
        "He must be around somewhere.":
            jump k2_6d
        "I don't think he came.":
            jump k2_6c

label k2_6a:
    $ set_up_tom_and_libby = True
    sm "Aweshome! Imma gonna go shurprishe him right thish shecond!"
    "She dashes off, leaving me alone in the kitchen."
    jump k2_7
    
label k2_6b:
    $ asshole += 1
    $ sabotage_tom_and_libby = True
    sm "That bashtard!"
    "She stumbles towards the hallway, leaving me alone in the kitchen."
    jump k2_7
    
label k2_6c:
    $ asshole += 1
    sm "Oh."
    "The girl sets her drink on the counter."
    sm "..."
    "She starts rocking back and forth, sniffling softly."
    menu:
        "Are you okay?":
            jump k2_8a
        "Forget about him.":
            jump k2_8a
            
label k2_6d:
    $ set_up_tom_and_libby = True
    sm "You're probably right. I better go and find him!"
    "She heads off, leaving me alone in the kitchen."
    jump k2_7
    
label k2_8a:
    sm "Huh?"
    sm "Oh."
    sm "I don't know."
    sm "..."
    jump k2_9
    
label k2_9:
    sm "I... I jusht need to be alone right now."
    "She starts to leave."
    menu:
        "Do you want to talk about it...":
            jump k2_9a
        "[Forget it]":
            jump k2_9b

label k2_9a:
    sm "..."
    menu:
        "Somewhere private...":
            jump k2_9c
        "[Forget it]":
            jump k2_9b
            
label k2_9c:
    sm "..."
    sm "Yesh."
    sm "Maybe..."
    sm "I don't know..."
    "She hesistates for a second."
    sm "Meet me upshtairsh in five. Bedroom on the left shide. Knock firsht."
    "She staggers away, leaving me alone in the kitchen."
    "I finish my drink slowly, in sips, savoring the watery taste."
    "Five minutes pass. I find my way upstairs."
    $ final_girl = "Libby"
    jump endgame
            
label k2_9b:
    "The girl heads back into the party, leaving me alone in the kitchen."
    jump k2_7
    
label k2_7:
    "I finish my drink in silence."
    if rooms_visited < 4:
        "Where to next?"
    
    jump room_choose
    
label follow_rosa:
    $ followed_rosa = True
    if visited_parlor:
        $ final_girl = "Rosa"
        jump endgame
    else:
        "I try following the girl, but quickly lose track of her in the crowd."
        "Perhaps she was leading me to the parlor?"
        $ next_room = "parlor"
        jump room_transition
    
# # BACKYARD # #
        
label b1:
    scene bg backyard
    with fade
    "I walk outside to the backyard, where I spy a guy with his arms around two girls."
    "The man is sporting an orange lion mask above a well-pressed tuxedo."
    "The girl in his left arm has a jewel-encrusted humanoid mask, while the girl in his right displays a golden eagle mask."
    "Both are wearing tiny, black cocktail dresses."
    lm "There you are, player!"
    "I do believe this might be Chris."
    if rooms_visited <= 2:
        c "Where the hell have you been, man?"
    else:
        c "After the sun set, I was {i}positive{/i} that you pussied out on me."
        
    if recognized == False:
        $ recognized = True
    else:
        "Okay, seriously, how do people keep recognizing me with this mask on?"
        
    c "Never mind that. I've got some lovely ladies that are dying to meet you."
    
    if alienate_julia:
        jm "Wait, {i}this{/i} is the guy you've been talking about?"
        "The girl breaks from his half embrace."
        c "Yes, ma'am. One-hundred percent guaranteed to show a girl a good time."
        c "If you know what I mean."
        jm "We've met."
        c "And were you not one-hundred percent satisfied?"
        jm "I asked him for some class notes last week. I saw him {i}five times{/i} since then, and he hasn't said a word about it."
        jm "I could excuse that. Whatever, it's just some notes."
        jm "But today? The freak, undeserved anger in his eyes, corners me in the school parking lot shouting violent nonsense."
        c "..."
        "The girl in the eagle mask shifts slightly in Chris' arm."
        c "That doesn't sound like the player I know."
        jm "It's the truth."
        "She storms towards the house."
        c "Look..."
        "He takes his arm off the eagle-masked girl."
        c "I have to go talk her down, player. Why don't the two of you talk for a bit?"
        "He darts inside, leaving the two of us alone."
        jump b2
    else:
        jump b3
    
label b2:
    $ met_rosa = True
    $ met_rosa_backyard = True
    
    if met_rosa_kitchen:
        em "I think I might have been a bit too subtle before, hot stuff."
    else:
        em "Don't worry about Julia, hot stuff. She's a mean drunk."
        
    "She slinks her way under my right arm."
    
    if met_rosa_kitchen == False:
        em "Let me just cut to the chase..."
        
    $ rosa_propositioned=True
        
    em "I like you."
    em "I want you."
    em "I think you might be feeling the same way."
    em "What do you say we hit the parlor for some dancing and then head upstairs for a little {i}fun{/i}?"
    
    menu:
        "You read my mind":
            jump b2_1a
        "I'm not in the mood.":
            jump b2_1b
            
label b2_1a:
    em "Excellent."
    $ final_girl = "Rosa"
    jump endgame

label b2_1b:
    em "..."
    em "Oh."
    "The girl ducks out of my half-embrace."
    em "Well, let me know if you change your mind, tiger."
    em "I'll be here all night."
    "She heads back inside, leaving me alone in the backyard."
    jump room_choose
                                                                                                                      
label b3:
    if met_julia:
        "The girl in the bejeweled mask looks at me for a few seconds."
        jm "I was hoping you'd show up tonight."
        "She starts toying with her hair."
    else:
        "The girl in the bejeweled mask looks at me for a few seconds." 
        jm "Oh, I think we've met."
        "She starts toying with her hair."
        jm "Or, well, I asked you for notes once."
        
    "The eagle-masked girl whispers something in Chris' ear."
    c "Well, player, this young lady belives it's time we hit the dance floor."
    c "You two have fun out here."
    "She and Chris turn to walk inside."
    if met_rosa:
        "The eagle-masked girl throws us a quick glance before she leaves." 
    else:
        $ met_rosa = True
        
    $ met_rosa_backyard = True
    
    jm "So..."
    jm "Umm..."
    jm "Nice night, isn't it?"
    menu:
        "Yep.":
            jump b3_1
        "Could be worse.":
            jump b3_1
        "Not really.":
            jump b3_1
            
label b3_1:
    jm "..."
    jm "Enjoying Miss Sacks' class?"
    menu:
        "Yep.":
            jump b3_2
        "Could be worse.":
            jump b3_2
        "I don't want to talk about school tonight.":
            jump b3_2
            
label b3_2:
    jm "Ah."
    jm "..."
    "She shifts from side to side for a few seconds."
    jm "Did you like that jazz music Mariana put on in the parlor?"
    if visited_parlor:
        menu:
            "Yep.":
                jump b3_3
            "Could be worse.":
                jump b3_3
            "I'm not a fan.":
                jump b3_3
    else:
        m "I haven't heard it yet."
        jump b3_3
        
label b3_3:
    jm "Hmm..."
    "The girl takes a look back at the house."
    jm "Well, it was nice talking to you."
    jm "I think I'll head back inside now."
    menu:
        "Don't go.":
            jump b3_4a
        "[Forget it]":
            jump b3_4b
    
label b3_4a:
    jm "Well, I haven't seen Libby for a few hours." 
    jm "I should probably make sure she isn't getting in any trouble."
    jump b3_4b
    
label b3_4b:
    jm "..."
    jm  "Bye."
    "She heads inside, leaving me alone in the backyard."
    jump room_choose
    
# # BALCONY # #
    
label n1:
    scene bg balcony
    with fade
    "I climb the wooden stairs to the balcony."
    if visited_backyard:
        "From this vantage point, I can see the now-deserted backyard."
    else:
        "From this vantage point, I can see a few people talking and laughing in the backyard."
        
    "A maskless girl is leaning against the railing, staring off into the distance, cradling a cigarette in her left hand."
    "Her head turns as she hears me approach."
    u "Oh, um, hello."
    menu:
        "Do I know you?":
            jump n1_1a
        "Nice party.":
            jump n1_1b
        "Hello, Helen.":
            jump n1_1c
        "Stop following me!":
            jump n1_1d
    
label n1_1a:
    u "Sounds like you've had too much to drink, buddy."
    "She takes a drag."
    u "Tom's our designated driver if you, um, need help getting home."
    "Damn it!"
    m "I'm not drunk. I just couldn't see you clearly in this light."
    jump n1_1e
    
label n1_1e:
    "She pokes me gently in the ribs."
    u "Relax. I was just, um, teasing you."
    jump n1_4
    
label n1_1b:
    u "Is it?"
    "She takes a drag."
    u "What do you like about it?"
    menu:
        "The theme.":
            jump n1_2a
        "The girls.":
            jump n1_2b
        "The music.":
            jump n1_2c
    
label n1_2a:
    u "Really?"
    "She takes another drag."
    u "I'm, um, kind of getting tired of these theme parties."
    u "Do we really need an excuse to get together and have fun?"
    u "That and..."
    "She giggles softly."
    u "Helen puked on my mask!"
    u "I'm happy that it was covering my face at the time, but, um..."
    "She giggles again."
    u "It kinda soured me to the whole, um, mystique."
    "Helen..."
    jump n1_4
    
            
label n1_2c:
    u "Really?"
    "She takes another drag."
    u "Well, it's something different at least."
    u "Remember my last party?"
    u "Music so loud you could barely hear yourself moan. Shame that we had to call an ambulance on your friend Chris just as things were getting crazy."
    "The girl chuckles to herself in quiet remembrance."
    jump n1_4
            
label n1_2b:
    if asshole < 2:
        "The girl pokes me gently in the ribs with her free hand."
        u "You would say that, player."
    jump n1_4
    
label n1_1c:
    u "Helen?"
    u "Do you really think I look like her?"
    "Damn it."
    "She takes a drag."
    menu:
        "You do in this light.":
            jump n1_3a
        "Of course not.":
            jump n1_3b
    
label n1_3a:
    u "But I'm not good enough for you in daylight, is that it?"
    m "I, umm..."
    jump n1_1e
    
label n1_3b:
    u "Oh, so you think she's prettier than me, is that it?"
    m "I didn't mean..."
    jump n1_1e
            
label n1_4:
    "She takes another drag."
    u "You do know Helen's here, right?"
    m "I'm well aware."
    "The girl flicks the dying cigarette butt off the balcony and closes the gap between us."
    if asshole >= 2:
        u "Stay away from her."
        u "You're not an idiot. I {i}know{/i} you're not an idiot."
        u "You wouldn't be here tonight talking to me if I thought you were an idiot."
        u "But if I hear anything about you hurting that poor girl again, I will not hesitate to throw you out and, um, call the police."
        u "Are we clear?"
        m "Completely."
        u "Good."
        jump n1_6b
        
    else:
        u "I still don't know if I believe everything I've heard about you two."
        u "You both seemed so happy."
        m "I'm glad someone believes me."
        u "I didn't say I believed you. It's just..."
        u "I mean, I've heard about your reputation."
        m "My reputation."
        u "You know what I'm talking about... \"player.\""
        m "That's just a nickname."
        u "Are you saying there's absolutely no truth behind what others choose to call you?"
        m "It's a long story."
        u "I want to hear it."
        menu:
            "[Tell her.]":
                jump n1_5a
            "[Forget it.]":
                jump n1_5b
        
label n1_5a:
    m "Okay."
    "She and I both sit down, cross-legged."
    m "But you have to promise not to tell a soul."
    u "I promise."
    "I lean in closer as I begin speaking in hushed tones."
    m "It was three years ago. My parents had just uprooted me from my childhood home."
    m "Mom had a new job. Took her family halfway across the country."
    m "Except for dad, of course."
    m "So there I was at a new school."
    m "I didn't know anybody. I had been so comfortable in my bubble back home that I'd forgotten how to get to know anybody."
    m "Months went by and I still hadn't made any real friends. Had any real conversations."
    m "Parents made me go to a school dance. I was petrified! Spent an hour just sitting in a corner sipping punch."
    m "But Chris..."
    m "He saw how miserable I looked, and made it his mission to do something about it that very night."
    m "He talked me up. Called me \"player.\""
    m "Told me that there's no real difference between pretending to have confidence and actually having it."
    m "So I took on the mask of \"Player.\""
    m "And that night I danced with three girls and kissed a fourth."
    m "Chris hasn't stopped calling me that since."
    "The girl looks off to the side. I can't read her face."
    u "I don't think I was there that night."
    u "I never really found school dances to be all that, um, interesting."
    u "I wonder..."
    u "Do you remember their names?"
    m "I'm sorry?"
    u "The girls you danced with. The girl you kissed."
    "I remember a sea of pink, white, and black fabric. The smell of long, brown hair. The feel of another body next to mine, gently swaying to the rhythm."
    "But their names? Their faces?"
    m "I don't."
    "She strikes another cigarette and stares at me for a few seconds."
    u "You don't remember your first kiss? That's so sad!"
    "She takes another drag."
    m "It's okay. I've made many more memories since then."
    u "I'm sure you have, player."
    "She takes another drag."
    menu:
        "I'm hoping to make some more tonight.":
            jump n1_6a
        "[Forget it]":
            "She stubs her cigarette butt against the wall."
            jump n1_6b
            
label n1_6a:
    "She takes another drag, blowing the smoke in my face. I inhale the bitter air."
    u "So... what do you want to do now, player?"
    menu:
        "Want to go dancing?":
            jump n1_7a
        "Want to check if any of the bedrooms are free?":
            jump n1_7b
            
label n1_6b:
    u "Well, it's been fun."
    u "Let's, um, talk again some other time."
    "She heads back downstairs, leaving me alone on the balcony."
    jump room_choose
            
label n1_7a:
    u "Like I said, I'm not a fan of dancing."
    m "Want to check if any of the bedrooms are free?"
    jump n1_7b    

label n1_7b:
    if bedrooms_allowed:
        u "You read my mind."
    else:
        u "I thought I told you to stay out of the bedrooms!"
        u "..."
        "She pokes me in the ribs, vigorously this time."
        u "I'm just teasing you. Let's go!"
    $ final_girl = "Mariana"
    jump endgame
    
label n1_5b:
    u "Don't trust me, huh?"
    m "It's not that..."
    u "Nah, I get it,  player. You're too cool for this cat."
    jump n1_6b
label n1_1d:
    u "Stop following you?"
    "She takes a drag."
    u "Says the guy who followed me up here?"
    if rooms_visited > 1:
        u "You've got quite a way with the ladies tonight."
    "She chuckles softly."
    jump n1_4
            
label no_more_rooms:
    scene bg black
    with fade
    "I leave the %(next_room)s alone."
    "I begin to lament my poor luck this night when I feel a pinch from behind."
    "I spin around to see a girl in a bright, golden eagle mask."
    em "Hello again, hot stuff."
    "She wraps herself around me."
    em "Let's go dancing. I won't take no for an answer this time."
    $ final_girl = "Rosa"
    jump endgame
    
label endgame:
    scene bg black 
    with fade
    if final_girl == "Rosa":
        jump er
    elif final_girl == "Mariana":
        jump em
    elif final_girl == "Helen":
        jump eh
    elif final_girl == "Libby":
        jump el
        
## ROSA ENDGAME ##
label er:
    "The girl leads me to the parlor with an impressive efficiency."
    scene bg parlor
    with fade
    "We blend into the crowd, just another couple dancing to the smooth jazz, caught in each other's tight embrace."
    "Two songs pass. Then a third." 
    "Neither of us have said a word. Have tried to said a word."
    "The fourth song ends. Or is it the fifth?"
    "The girl gives my arm a tug. She leads me out of the parlor, upstairs to the bedrooms."
    scene bg black
    with fade
    "She gives a quick rap on the left-most door."
    "Silence."
    "She pulls the handle."
    "Locked."
    "Furtive moans leak from from behind the door jamb."
    "I try the next door."
    "Unlocked."
    "I signal her inside and close the door behind us."
    scene bg bedroom
    with fade
    "She pulls my arm, and we tumble down into the soft bedding."
    "Still holding my arm, her mask long discarded, she plants a line of kisses up my hand, forearm, bicep."
    "I discard my own mask and return the favor with interest on her now-bare legs."
    "We help each other out of our clothes."
    scene bg door
    with fade
    "The door opens, light shining harshly on our dark-focused eyes."
    "A couple staggers inward, laughing, embracing, drinking."
    "One tilts his maskless head bedward for a second."
    u2 "Nice job, player!"
    u2 "That Rosa's a fiesty one. Best lay I've ever had."
    u2 "I'll let you two get back to your fun."
    "They close the door."
    scene bg bedroom
    with fade
    "The girl rolls off my torso, pulls the covers over her."
    "I move to join her, but she puts a flat palm on my chest."
    u "Is that all you..."
    u "..."
    u "I mean..."
    u "I like sex. I don't think there's anything wrong with sex."
    u "But I guess I thought that you were..."
    "She looks at my face for a moment."
    "She shakes her head."
    u "Never mind."
    "She begins to slip back into her clothing. Slowly. Deliberately."
    m "..."
    "The girl leaves without another word. Without another look."
    scene bg black
    with fade
    "END"
    ".:. Rosa Ending"
    return
    
## MARIANA ENDGAME ##
label em:
    "We head back inside, my arm around her waist."
    scene bg black 
    with fade
    "Indecipherable, unseen faces turn as we stride down the main hallway."
    "The girl leads me upstairs."
    "We try one door. Another."
    "The third handle yields to her grasping fingers."
    "She pulls me inside, closes and locks the door."
    scene bg bedroom
    with fade
    "We sit on the bed, lit by a sliver of light from the door frame."
    "Her hands reach for my face, linger for a second, then continue onwards, untying my mask."
    "We share a kiss."
    "I pull her down to the bed, where we share another."
    "I move in for a third, but the girl sits back up."
    u "Um, wait..."
    "She looks at me with a blank face."
    u "This might sound stupid, but..."
    u "I mean, I've heard your reputation and..."
    u "Well..."
    u "..."
    "She shakes her head. Says my name. Holds my arm. Looks in my eyes."
    u "What's my name?"
    m "What?"
    u "You heard me. You haven't said it all night."
    u "And you know me. I know you do."
    u "What is my name?"
    m "You can't seriously be asking..."
    u "I am completely serious."
    u "..."
    "She releases her grip. Turns on a small lamp. Looks in my eyes."
    u "What is my name?"
    menu:
        "Helen.":
            jump em_1a
        "Julia.":
            jump em_1b
        "Libby.":
            jump em_1c
        "Mariana.":
            jump em_1d
        "Rosa.":
            jump em_1e
            
label em_1a:
    u "Helen?"
    "She shakes her head."
    u "She's been on your mind all night, hasn't she?"
    u "You're just using me as a substitute."
    "The girl lets loose a sigh."
    jump em_2
    
label em_1b:
    u "Julia?"
    jump em_1f
    
label em_1c:
    u "Libby?"
    jump em_1f
    
label em_1d:
    u "..."
    u "You sound so... unsure of yourself."
    u "You were all confidence not five minutes ago."
    u "That was a guess, wasn't it?"
    m "..."
    jump em_2
    
    
label em_1e:
    u "Rosa?"
    jump em_1f
    
label em_1f:
    "She shakes her head."
    u "You've known me for years."
    u "We've taken, um, countless classes together."
    "The girl is quivering slightly."
    u "You come to my party, you ask me to sleep with you, and you tell me you don't even know my name?"
    u "..."
    jump em_2
    
label em_2:
    "She shakes her head."
    u "You didn't actually want to sleep with {i}me{/i}. You wanted to sleep with {i}someone{/i}. With {i}anyone{/i}."
    u "With some anonymous, nameless, faceless pair of legs."
    m "..."
    u "I thought you were my friend."
    u "After you opened up to me tonight, I thought..."
    "She shakes her head."
    u "This is all just a game to you. It's always been a game to you since that first school dance of yours."
    u "Well let me tell you something, {i}player{/i}."
    u "..."
    u "You aren't going to score with me."
    u "And so long as I'm here, you aren't going to score with anyone I care about."
    "The girl gets up off the bed, unlocks the door, and turns back to face me."
    u "Go home, player.  Just... go home."
    "She leaves me alone in the bedroom."
    scene bg black
    with fade
    "END"
    ".:. Mariana Ending"
    return    
    
## HELEN ENDGAME ##
label eh:
    "I lead her upstairs from the parlor."
    scene bg black
    with fade
    "The first door I try opens easily to my touch."
    "I close the door behind us as we enter the bedroom."
    scene bg bedroom
    with fade
    "The girl sits on the bed, throws her mask on the ground and begins to quietly rock back and forth."
    "I move to turn off the lights."
    u "Leave them on."
    m "Okay."
    "I sit down next to her."
    u "..."
    m "Do you want to talk?"
    u "..."
    "She slumps down."
    u "..."
    "The girl pulls my arm over her shoulder. I untie my mask with my free hand."
    u "Do you mind if we just sit here like this?"
    m "Not at all."
    "The minutes drag on as we sit in silence."
    u "..."
    "My arm begins to get sore."
    u "A few years ago..."
    "I shift my weight towards her."
    u "My friend Virginia was dating Tom."
    u "Not for a long time. Just a few weeks."
    u "He had asked her to come over to his house one Friday night."
    u "His parents were gone, and he said he wanted to bake dinner with her."
    u "Virginia wasn't comfortable going to her house alone, but she didn't want to disappoint her new beau."
    u "So she asked me along."
    u "Tom's eyes brightened when he saw Virginia at her door, and dimmed considerably when he saw me behind her."
    u "Still we had fun making dinner. Tom almost burned the turkey, but I saved it just in time..."
    u "..."
    u "When we were all finished eating and cleaning up, Tom started hinting that I should leave."
    u "Virginia prodded me to stay."
    u "Then Tom got louder."
    u "Then he got angrier."
    u "Then he got violent."
    u "..."
    u "No one..."
    u "No one was seriously hurt. Physically at least."
    u "But..."
    u "I just thought that when we got older we'd all stop being such..."
    "The girl slumps down again."
    "She begins to lay her head in my lap, then sits back up with a sudden start."
    u "Seriously?"
    "She begins to giggle."
    u "That story turned you on?"
    "The giggling turns into loud, rolling torrents of laughter."
    u "Hahahahahahahaha!"
    u "Hohohohehehehe!"
    u "Bahahahahaha!"
    scene bg door
    with fade
    "The door flies open. A masked girl rushes in."
    em "Helen, is everything alright?"
    "Helen?"
    scene bg bedroom
    with fade
    u "Hehehe."
    u "Everything's fine, Virginia."
    "The girl turns towards me, sees my face in the light for the first time, and erupts into laughter again."
    u "Hahahahahahaha!"
    u "I should have guessed!"
    em "Did that asshole try to hurt you again?"
    u "Hahahahaha, no! He's harmless."
    "The girl pushes me down on the bed, playfully."
    "She looks at my face once more."
    u "Thank you. I..."
    u "I think I needed that."
    "She gets up off the bed."
    u "Let's go, Virginia."
    "The two girls leave me alone in the bedroom."
    scene bg black
    with fade
    "END"
    ".:. Helen Ending"
    return
    
## LIBBY ENDGAME ##
label el:
    scene bg black
    with fade
    "I give the leftmost bedroom door a quick knock."
    "The door gives a quick clunk as a hand within unlocks its deadbolt."
    u "Come iiiin!"
    scene bg bedroom 
    with fade
    "I stumble inside, barely managing to close the door behind me as the girl pulls me down on the bed."
    "Her dress is already half off, and her mask must have been removed earlier."
    "She pulls at my mask with clumsy force, almost poking my left eye out with a pointy dog ear."
    "I pull her dress over her head with relative ease and begin kissing my way down her curves."
    "She tugs at my pants with little success, evidently failing to understand the concept of belt buckles."
    "The girl starts grinding my still clothed body, moaning loudly."
    "I begin to caress her breasts through her ill-fitting brassiere."
    "The girl turns her attention to my shirt, trying to rip my buttons off with her teeth."
    "I gently push her head away, hastily unbuttoning my own shirt with my free hand."
    "She continues to moan as the door flies open."
    jump el1
    
label el1:
    scene bg door
    with fade
    tm "Libby?"
    u "Hiii, Tom! I thought you weren't heeere?"
    scene bg bedroom
    with fade
    "I try unsuccessfully to pull myself away from the girl as the guy takes in the scene."
    t "Buddy?"
    "His trembling fists are clenched."
    menu:
        "It's not what it looks like.":
            jump el1_1a
        "She came on to me, dude.":
            jump el1_1b
        "You don't deserve her.":
            jump el1_1c
            
label el1_1a:
    t "Oh really, buddy? You're in bed, half-dressed with a loudly moaning, obviously drunk girl."
    t "A drunk girl who happens to be my friend."
    t "I find it hard to believe that there's more to this story."
    jump el1_2
    
label el1_1b:
    t "She's drunk. You didn't have to say yes."
    jump el1_2
    
label el1_1c:
    t "I don't..."
    "He gives a soft chuckle."
    t "I heard about you and Helen."
    t "You {i}really{/i} shouldn't be talking about deserving {i}anyone{/i} after what you pulled."
    jump el1_2

    
label el1_2:
    "He pulls me out of her clinging arms and slams me against the wall."
    t "I would never. {i}Never{/i} stoop this low."
    t "And I thought you wouldn't either, buddy."
    "He hits me in the gut with a sudden punch. I buckle to the ground."
    "From the floor I watch as his clumsy hands help the girl put her dress back on."
    "He kicks me as he and the girl exit the bedroom, leaving me alone, nauseous, and clutching my torso."
    scene bg black
    with fade
    "END"
    ".:. Libby Ending"
    return
